"use strict";
/**
 * @internal
 */
class RepositoryNotTreeError extends Error {
    constructor(entityClass) {
        super();
        this.name = "RepositoryNotTreeError";
        const targetName = typeof entityClass === "function" && entityClass.name ? entityClass.name : entityClass;
        this.message = `Repository of the "${targetName}" class is not a TreeRepository. Try to use @ClosureTable decorator instead of @Table.`;
    }
}
exports.RepositoryNotTreeError = RepositoryNotTreeError;

//# sourceMappingURL=RepositoryNotTreeError.js.map
