"use strict";
const index_1 = require("../../index");
/**
 * Fields that needs to be indexed must be marked with this decorator.
 */
function Index(name, options) {
    return function (object, propertyName) {
        const args = {
            name: name,
            target: object.constructor,
            columns: [propertyName],
            unique: options && options.unique ? true : false
        };
        index_1.getMetadataArgsStorage().indices.add(args);
    };
}
exports.Index = Index;

//# sourceMappingURL=Index.js.map
