"use strict";
const index_1 = require("../../index");
/**
 * This decorator is used to mark classes that will be a tables. Database schema will be created for all classes
 * decorated with it, and Repository can be retrieved and used for it.
 */
function Table(name, options) {
    return function (target) {
        const args = {
            target: target,
            name: name,
            type: "regular",
            primaryKeys: options && options.primaryKeys ? options.primaryKeys : undefined,
            orderBy: options && options.orderBy ? options.orderBy : undefined
        };
        index_1.getMetadataArgsStorage().tables.add(args);
    };
}
exports.Table = Table;

//# sourceMappingURL=Table.js.map
