import { DriverOptions } from "./DriverOptions";
/**
 * Common driver utility functions.
 */
export declare class DriverUtils {
    /**
     * Validates if all required options are set in the driver options.
     */
    static validateDriverOptions(options: DriverOptions): void;
    /**
     * Normalizes and builds a new driver options.
     * Extracts settings from connection url and sets to the options itself.
     */
    static buildDriverOptions(options: DriverOptions): DriverOptions;
    /**
     * Extracts connection data from the connection url.
     */
    private static parseConnectionUrl(url);
}
