"use strict";
const Rx = require("rxjs/Rx");
/**
 * Reactive version of SpecificRepository.
 */
class SpecificReactiveRepository {
    // -------------------------------------------------------------------------
    // Constructor
    // -------------------------------------------------------------------------
    constructor(repository) {
        this.repository = repository;
    }
    setRelation(relationName, entityId, relatedEntityId) {
        return Rx.Observable.fromPromise(this.repository.setRelation(relationName, entityId, relatedEntityId));
    }
    addToRelation(relationName, entityId, relatedEntityIds) {
        return Rx.Observable.fromPromise(this.repository.addToRelation(relationName, entityId, relatedEntityIds));
    }
    removeFromRelation(relationName, entityId, relatedEntityIds) {
        return Rx.Observable.fromPromise(this.repository.removeFromRelation(relationName, entityId, relatedEntityIds));
    }
    addAndRemoveFromRelation(relation, entityId, addRelatedEntityIds, removeRelatedEntityIds) {
        return Rx.Observable.fromPromise(this.repository.addAndRemoveFromRelation(relation, entityId, addRelatedEntityIds, removeRelatedEntityIds));
    }
    /**
     * Removes entity with the given id.
     * Note that event listeners and event subscribers won't work (and will not send any events) when using this operation.
     */
    removeById(id) {
        return Rx.Observable.fromPromise(this.repository.removeById(id));
    }
    /**
     * Removes all entities with the given ids.
     * Note that event listeners and event subscribers won't work (and will not send any events) when using this operation.
     */
    removeByIds(ids) {
        return Rx.Observable.fromPromise(this.repository.removeByIds(ids));
    }
}
exports.SpecificReactiveRepository = SpecificReactiveRepository;

//# sourceMappingURL=ReactiveSpecificRepository.js.map
