import { TreeRepository } from "./TreeRepository";
import { EntityMetadata } from "../metadata/EntityMetadata";
import { Connection } from "../connection/Connection";
import { Repository } from "./Repository";
import { ReactiveRepository } from "./ReactiveRepository";
import { TreeReactiveRepository } from "./TreeReactiveRepository";
import { SpecificRepository } from "./SpecificRepository";
import { SpecificReactiveRepository } from "./ReactiveSpecificRepository";
/**
 */
export declare class RepositoryFactory {
    createRepository(connection: Connection, metadata: EntityMetadata): Repository<any>;
    createTreeRepository(connection: Connection, metadata: EntityMetadata): TreeRepository<any>;
    createReactiveRepository(repository: Repository<any>): ReactiveRepository<any>;
    createReactiveTreeRepository(repository: TreeRepository<any>): TreeReactiveRepository<any>;
    createSpecificRepository(connection: Connection, metadata: EntityMetadata, repository: Repository<any>): SpecificRepository<any>;
    createSpecificReactiveRepository(repository: SpecificRepository<any>): SpecificReactiveRepository<any>;
}
