"use strict";
const TreeRepository_1 = require("./TreeRepository");
const Repository_1 = require("./Repository");
const ReactiveRepository_1 = require("./ReactiveRepository");
const TreeReactiveRepository_1 = require("./TreeReactiveRepository");
const SpecificRepository_1 = require("./SpecificRepository");
const ReactiveSpecificRepository_1 = require("./ReactiveSpecificRepository");
/**
 */
class RepositoryFactory {
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    createRepository(connection, metadata) {
        return new Repository_1.Repository(connection, metadata);
    }
    createTreeRepository(connection, metadata) {
        return new TreeRepository_1.TreeRepository(connection, metadata);
    }
    createReactiveRepository(repository) {
        return new ReactiveRepository_1.ReactiveRepository(repository);
    }
    createReactiveTreeRepository(repository) {
        return new TreeReactiveRepository_1.TreeReactiveRepository(repository);
    }
    createSpecificRepository(connection, metadata, repository) {
        return new SpecificRepository_1.SpecificRepository(connection, metadata, repository);
    }
    createSpecificReactiveRepository(repository) {
        return new ReactiveSpecificRepository_1.SpecificReactiveRepository(repository);
    }
}
exports.RepositoryFactory = RepositoryFactory;

//# sourceMappingURL=RepositoryFactory.js.map
